Bug 1596458 (CVE-2018-0618) - CVE-2018-0618 mailman: Cross-site scripting vulnerability allows malicious listowners to inject scripts into listinfo pages
Summary: CVE-2018-0618 mailman: Cross-site scripting vulnerability allows malicious li...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-0618
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1596459 1596460 1599692
Blocks: 1596461
TreeView+ depends on / blocked
 
Reported: 2018-06-29 03:47 UTC by Sam Fowler
Modified: 2020-03-31 22:32 UTC (History)
3 users (show)

Fixed In Version: mailman 2.1.27
Doc Type: If docs needed, set a value
Doc Text:
A cross-site scripting vulnerability (XSS) has been discovered in mailman due to the host_name field not being properly validated. A malicious list owner could use this flaw to create a specially crafted list and inject client-side scripts.
Clone Of:
Environment:
Last Closed: 2020-03-31 22:32:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1054 None None None 2020-03-31 19:17:04 UTC

Description Sam Fowler 2018-06-29 03:47:33 UTC
GNU Mailman before version 2.1.27 has a cross-site scripting flaw that allows malicious listowners to inject scripts into listinfo pages.


Upstream Changelog:

https://mail.python.org/pipermail/mailman-announce/2018-June/000236.html
https://launchpad.net/mailman/+milestone/2.1.27


Reference:

https://jvn.jp/en/jp/JVN00846677/

Comment 1 Sam Fowler 2018-06-29 03:47:56 UTC
Created mailman tracking bugs for this issue:

Affects: fedora-all [bug 1596459]

Comment 5 Riccardo Schirone 2018-07-10 11:58:25 UTC
A malicious list owners can inject scripts into the /mailman/listinfo page of a specially crafted list, due to not validated input in host_name field.

Comment 8 errata-xmlrpc 2020-03-31 19:17:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1054 https://access.redhat.com/errata/RHSA-2020:1054

Comment 9 Product Security DevOps Team 2020-03-31 22:32:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-0618


Note You need to log in before you can comment on or make changes to this bug.